MonoMac 0.0.0.0 MonoMac.CoreMidi.MidiObject Input and Output ports. The input and output port objects are created by calling the or methods. CoreMidiSample
- Property
  0.0.0.0
  MonoMac.CoreMidi.MidiClient The MidiClient that created this port.
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiError `` Connects an input port to an endpoint. This method can be called multiple times to connect various endpoints to this port.
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiError `` Disconnects the port from the specified endpoint.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the MidiPort object.

  This Dispose method releases the resources used by the MidiPort class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the MidiPort ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Event
  0.0.0.0
  System.EventHandler<MonoMac.CoreMidi.MidiPacketsEventArgs> Event raised when data has been received on this port.
- Property
  0.0.0.0
  System.String The port name specified when the port was created
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiError `` `` Endpoint to send packets to. The packets to send to the endpoint. Sends a set of MidiPackets to the specified endpoint. A status code
- Method
  0.0.0.0
  System.String Returns a human-readable description of this port.